Метод Gradle DSL не найден: "classpath ()"

Я работаю над проектом Android, который использовал Gradle, как указано ниже.

buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.12.+' } } allprojects { repositories { mavenCentral() } } dependencies { classpath 'com.android.tools.build:gradle:0.12.+' compile fileTree(dir: 'libs', include: '*.jar') compile project(':workspace:darkmoon:darul-android:vitamio:vitamio') compile project(':Dev:adt-bundle-mac-x86_64:sdk:extras:google:google_play_services:libproject:google-play-services_lib') } android { compileSdkVersion 19 buildToolsVersion "20.0.0" sourceSets { main { manifest.srcFile 'AndroidManifest.xml' java.srcDirs = ['src'] resources.srcDirs = ['src'] aidl.srcDirs = ['src'] renderscript.srcDirs = ['src'] res.srcDirs = ['res'] assets.srcDirs = ['assets'] } // Move the tests to tests/java, tests/res, etc... instrumentTest.setRoot('tests') // Move the build types to build-types/<type> // For instance, build-types/debug/java, build-types/debug/AndroidManifest.xml, ... // This moves them out of them default location under src/<type>/... which would // conflict with src/ being used by the main source set. // Adding new build types or product flavors should be accompanied // by a similar customization. debug.setRoot('build-types/debug') release.setRoot('build-types/release') } } 

Но когда я его создаю, продолжайте получать эту ошибку: «Метод Gradle DSL не найден», и он указал на следующую строку:

 dependencies { classpath 'com.android.tools.build:gradle:0.12.+' compile fileTree(dir: 'libs', include: '*.jar') compile project(':workspace:epsilonmobile:darul-android:vitamio:vitamio') compile project(':Dev:adt-bundle-mac-x86_64:sdk:extras:google:google_play_services:libproject:google-play-services_lib') } 

Извините, если этот вопрос немного нуб, я новичок в Gradle и Android Studio

Конфигурация classpath доступна только для зависимостей buildscript . Вам нужно избавиться от класса classpath 'com.android.tools.build:gradle:0.12.+' в блоке dependencies верхнего уровня. (Плагины Gradle должны быть объявлены в buildscript { dependencies { ... } } .)

В сценарии buildscript – это специальный раздел, в котором вы можете объявлять зависимости самого скрипта сборки (т.е. двоичные файлы, необходимые для процесса сборки).

Процесс построения градиента – это не что иное, как процесс java, и поэтому он поддерживает обычные зависимости класса.

com.android.tools.build:gradle:0.12.+ идентифицирует двоичный файл, необходимый для процесса сборки (он содержит код, способный понимать / выполнять секцию android скрипта сборки).

Андроид apk, который будет создан этим сценарием, не нуждается в двоичном com.android.tools.build:gradle:0.12.+ для запуска на вашем устройстве Android (т. Е. Apk, конечно, уже создается, когда он запускается на устройстве ): Нет причин объявлять его снова в зависимостях верхнего уровня (это зависимости, требуемые вашим приложением)

Intereting Posts
Ошибка камеры 100 на .takePicture ТОЛЬКО ПОСЛЕ остановки записи видео Как установить стиль для кнопки в Android? Обновите серию GSON Date из строки json в java.util.date Динамическое графическое построение с помощью openGL в Android Лучшая практика получения JSON и преобразования его в объект Сортировка строки списка массивов пользовательских классов с помощью команды Collections.sort Каковы преимущества и недостатки запуска службы в разных процессах? Пробел между надстройкой и заголовком панели инструментов слишком велик В Android SDK внезапно отсутствует папка ant /. Удалил ли Google его? Не слишком счастлив с Android Action Bar … Как я могу уменьшить его размер Xamarin 5.7 соединение андроида с обработчиком макета не прошло Ошибка: createWindowSurface не удалось выполнить EGL_BAD_ALLOC Подключить / Подключить Bluetooth-гарнитуру и Android Доступ к хранилищу на углу ActionBarSherlock – стиль содержит ключ с плохой записью